Subject: Re: bug#18643: 25.0.50; elisp--expect-function-p

From: Leo Liu <[email-masked]>
Date: Fri, 10 Oct 2014 12:07:06 +0800

On 2014-10-09 21:16 -0400, Stefan Monnier wrote:
> Yes, we can do that with completion-table-in-turn.
> Note that the elisp--local-variables is pretty precise, so it might not
> be necessary.

Indeed.

> We could provide a config option, but I'd rather we don't offer those
> completions by default.

For example, I need to add comment to a line with a bit of lisp form. I
already M-; and typed in a few words followed by `:':

        ;; Another way: (average (compute-weight ....) ...)

Now I won't be able to complete anything while finishing the form. I
have to uncomment first then finish the form and comment again.

Leo